Bug 1459590 - perl-PDL-Graphics-PLplot FTBFS with Perl 5.26.0
Summary: perl-PDL-Graphics-PLplot FTBFS with Perl 5.26.0
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-PDL-Graphics-PLplot
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-07 14:18 UTC by Petr Pisar
Modified: 2017-08-28 09:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-28 09:55:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 121884 None None None 2017-06-07 14:18:30 UTC
CPAN 121886 None None None 2017-06-07 14:18:43 UTC
CPAN 122034 None None None 2017-06-07 14:18:10 UTC

Description Petr Pisar 2017-06-07 14:18:10 UTC
perl-PDL-Graphics-PLplot fails to build with Perl 5.26.0. After applying CPAN RT#121884 and CPAN RT#121886, it crashes in plplot library:

$ gdb --args perl -Mblib ./t/x09.pl -dev svg -o x09p.svg -fam
Program received signal SIGSEGV, Segmentation fault.
pltr1 (x=x@entry=0, y=y@entry=1, tx=tx@entry=0x7fffffffdce0, ty=ty@entry=0x7fffffffdd00, 
    pltr_data=pltr_data@entry=0x55784c10)
    at /usr/src/debug/plplot-5.11.1-15.fc27.x86_64/src/plcont.c:893
893         PLFLT   *xg   = grid->xg;

Reported as CPAN RT#122034.

Comment 1 Jan Kurik 2017-08-15 08:16:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Petr Pisar 2017-08-22 12:58:01 UTC
There was help from upstream and I don't know where the problem is and how to fix it. This package will be removed from Fedora distribution.

Comment 3 Petr Pisar 2017-08-22 13:06:16 UTC
Retiring suffers from this server flaw <https://pagure.io/fedora-infrastructure/issue/6278>.

Comment 4 Petr Pisar 2017-08-28 09:55:50 UTC
This package was removed from Fedora >= 27.


Note You need to log in before you can comment on or make changes to this bug.